Automated Offer Feed

Overview

The Automated Offer Feed via our Link Search API is an API that enables you to access specific credit card content, links and images from our financial advertisers. The link output is recommended for mapping to your Content Management System, and we recommend that you seek Advertiser approval prior to putting it into production.

The Link Search Service is a REST API that enables publishers to find links based on desired criteria. All parameter names and values are not case sensitive. You must provide at least one of the optional parameters. Submitting an empty request does not return all possible results; an empty request returns zero results.

Limits

Call limit: 25 calls per minute
Call restrictions: Publishers only

Request

GET https<no-link>://link-search.api.cj.com/v2/link-search

Sample Request

See the Authentication Overview for information on how to authenticate API calls.

curl -s XGET "https://link-search.api.cj.com/v2/link-search?website-id=[YOUR WEBSITE ID HERE]&advertiser-ids=[ADVERTISER ID HERE]&link-type=Content%20Link&records-per-page=100" -H "Authorization: Bearer <your-personal-access-token>"

Request Query Parameters

If you would like to customize further please refer to the Link Search API request parameters.

Response

Response Elements

The response includes the following information about the overall set of results in the response.

General

Parameter NameDescription
linksAn array of link records. See the Per Record (Link) table for the fields returned for each link record in the response.
total-resultsThe total number of matching results in the index, regardless of the number of results in the actual response (the value of the max-results parameter).

Per Record (Link)

The response includes the following fields for each record (i.e., link). The fields below serve as an example only.

Parameter NameDescription
cardNameThe name of the card/offer, verbatim including registration/trademarks. Please make sure all symbols are HTML encoded.
processingNetworkMasterCard/Visa/American Express/ Discover. Please make sure all symbols are HTML encoded.
productTypeConsumer, Business, etc.
cardTypeCoBrand, Lending, Mileage, Rewards, etc.
creditRatingExcellent, Good, etc.
introPurchAPRHow introductory purchase APR should be displayed
introPurchAPRValueIntroductory purchase APR value
introPurchAPRTypeIntroductory purchase APR type
introPurchAPRPeriodHow introductory purchase APR period should be displayed
introPurchAPRPeriodValueIntroductory purchase APR period value
introPurchAPRPeriodTypeIntroductory purchase APR period type
nonIntroPurchAPRHow non-introductory purchase APR should be displayed
nonIntroPurchAPRValueNon-introductory purchase APR value
nonIntroPurchAPRTypeNon-introductory purchase APR type
purchGracePeriodHow Purchase grace period should be displayed
purchGracePeriodValuePurchase grace period value
purchGracePeriodTypePurchase grace period type
introTransferAPRHow introductory transfer APR should be displayed
introTransferAPRValueIntroductory transfer APR value
introTransferAPRTypeIntroductory transfer APR type
introTransAPRPeriodHow introductory transfer APR period should be displayed
introTransAPRPeriodValueIntroductory transfer APR period value
introTransAPRPeriodTypeIntroductory transfer APR period type
nonIntroTransAPRHow non-introductory transfer APR should be displayed
nonIntroTransAPRValueNon-introductory transfer APR value
nonIntroTransAPRTypeNon-introductory transfer APR type
transferGracePeriodHow transfer grace period should be displayed
transferGracePeriodValueTransfer grace period value
transferGracePeriodTypeTransfer grace period type
cashAdvanceAPRHow cash advance APR should be displayed
cashAdvanceAPRValueCash advance APR value
cashAdvanceAPRTypeCash advance APR type
penaltyAPRHow penalty APR should be displayed
penaltyAPRValuePenalty APR value
penaltyAPRTypePenalty APR type
cashGracePeriodHow cash grace period should be displayed
cashGracePeriodValueCash grace period value
cashGracePeriodTypeCash grace period type
balanceTransFeeHow balance transfer fee should be displayed
balanceTransFeeValueBalance transfer fee value
cashAdvanceFeeHow cash advance fee should be displayed
cashAdvanceFeeValueCash advance fee value
latePaymentFeeHow late payment fee should be displayed
latePaymentFeeValueLate payment fee value
returnPaymentFeeHow return payment fee should be displayed.
returnPaymentFeeValueReturn payment fee value
overLimitFeeHow over limit fee should be displayed.
overLimitFeeValueOver limit fee value
foreignTransFeeHow foreign transaction fee should be displayed
foreignTransFeeValueForeign transaction fee value
introAnnualMemFeeHow introductory annual member fee should be displayed
introAnnualMemFeeValueIntroductory annual member fee value
introAnnualMemFeePeriodHow introductory annual member fee period should be displayed
introAnnualMemFeePeriodValueIntroductory annual member fee period value
introAnnualMemFeePeriodTypeIntroductory annual member fee period type
annualMemFeeHow annual member fee should be displayed
annualMemFeeValueAnnual member fee value
minimumDepositHow minimum deposit should be displayed
CategoriesRelevant card categories
marketingCopyHow marketing copy should be displayed. Please make sure all bullets are HTML encoded.
mobileCopyHow mobile marketing copy should be displayed. Please make sure all bullets are HTML encoded.
additionalCopyHow additional copy should be displayed. Please make sure all bullets are HTML encoded.
customPromotionHow custom promotion should be displayed
availableApplicationsList of available supported applications.
rewardsRate1Numeric value of rewards. If relevant, number should be paired with the appropriate symbol. ($, %, etc.)
rewardsType1Reward type, must be verbatim
rewardsRate1TermsReward rate terms, must be verbatim
rewardsRate2Numeric value of rewards. If relevant, number should be paired with the appropriate symbol. ($, %, etc.)
rewardsType2Reward type, must be verbatim
rewardsRate2TermsReward rate terms, must be verbatim
rewardsRate3Numeric value of rewards. If relevant, number should be paired with the appropriate symbol. ($, %, etc.)
rewardsType3Reward type, must be verbatim
rewardsRate3TermsReward rate terms, must be verbatim
rewardsRate4Numeric value of rewards. If relevant, number should be paired with the appropriate symbol. ($, %, etc.)
rewardsType4Reward type, must be verbatim
rewardsRate4TermsReward rate terms, must be verbatim
rewardsBonusNumeric value of rewards. If relevant, number should be paired with the appropriate symbol. ($, %, etc.)
rewardsBonusTermsReward bonus terms, must be verbatim
prohibitedCategoriesList of non-approved categories
recommendedSiteTypeList of recommended or approved site types
detailsRatesFeesUrlURL for terms and additional details
regularAPRHow regular APR should be displayed
regularAPRValueRegular APR value
regularAPRTypeRegular APR type

Errors

REST Errors For All APIs

The HTTP Response Code for the following errors is 401.

MessageDescription
NoneIncorrect resource URL
"You must specify a developer key."No developer key specified
"Not Authenticated: xxxxxx" (where xxxxxx is the echo of the developer key used).Invalid developer key specified